OpenVPN 2.4.0 requiere interacción administrativa

Anuncios importantes relacionados con el sitio o Arch Linux, por favor leerlos.
Avatar de Usuario
sud_crow
Administrador
Administrador
Mensajes: 935
Registrado: 16 Abr 2005, 00:38
Ubicación: Buenos Aires - Argentina
Contactar:

OpenVPN 2.4.0 requiere interacción administrativa

Mensajepor sud_crow » 03 Ene 2017, 02:06

La actualización hacía OpenVPN 2.4.0 realiza cambios que son incompatibles con las configuraciones anteriores. Presta especial atención si dependes de una conexión VPN para el acceso remoto!

La interacción administrativa requerida es la siguiente:

* La configuración debe encontrarse en sub-directorios. Mueve los archivos de /etc/openvpn hacía /etc/openvpn/server o hacía /etc/openvpn/client
* El path requerido por los plugins ha cambiado, se debe remover el directorio plugins/ de los path relativos.
* La unidad de systemd openvpn@.service fue reemplazada por openvpn-client@.service y openvpn-server@.service. Deberás reiniciar y reactivar ambos servicios.

Estos cambios no afectan el funcionamiento de networkmanager, connman o qopenvpn.
¿Revisaste la wiki? | ¿Usaste la función buscar del foro? | ¿Leíste las normas del foro?
Blog : | Correo+Jabber: leonardo @ archlinux-es.org

Volver a “Anuncios”

¿Quién está conectado?

Usuarios navegando por este Foro: Google [Bot] y 1 invitado